Bug 497404 - pagination of ks prifles in sdc is not working correctly
pagination of ks prifles in sdc is not working correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Partha Aji
wes hayutin
https://dhcp77-141.rhndev.redhat.com/...
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-04-23 15:04 EDT by wes hayutin
Modified: 2009-09-10 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss1 (269.09 KB, image/png)
2009-04-23 15:04 EDT, wes hayutin
no flags Details
ss2 (266.97 KB, image/png)
2009-04-23 15:05 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-04-23 15:04:53 EDT
Created attachment 340989 [details]
ss1

Description of problem:
4/22.2 build

recreate:
1. set pagination to 5 
2. register a system
3. create 6 ks profiles that are applicable to that system..
4. enable provisioning for the system
5. go to the above url... ScheduleWizard.do

pagination back and forth several times throught the ks profile list..

You will notice that the pagination and number of items listed dont match up.

see screenshots..

specifcally use the *next* and *previous* pages
Comment 1 wes hayutin 2009-04-23 15:05:32 EDT
Created attachment 340990 [details]
ss2
Comment 2 Partha Aji 2009-05-18 20:11:59 EDT
should be fixed in the next iso.. Its in the commit -> http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=cb15f158bb943c37726663a67ec02ed8996ea6e0
Also include things like page resizer and alpha bar
Comment 3 Partha Aji 2009-05-22 11:08:35 EDT
Moving to ON_QA
Comment 4 wes hayutin 2009-05-27 13:40:27 EDT
verified 5/21.1
Comment 5 John Sefler 2009-07-29 14:16:07 EDT
Re-verified on 7/24 build
I checked pagination as described in the recreate steps above as well as other pages in the satellite (such as the errata lists) and tried various Display items per page along with the pagination arrows.

Moving to RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 15:25:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.